<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2006 Coppermine Dev Team
  v1.1 originally written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  ********************************************
  Coppermine version: 1.4.5
  $Source: /cvsroot/coppermine/stable/plugins/fotokasten/codebase.php,v $
  $Revision: 0.9 $
  $Author: fotokasten $
  $Date: 2006/05/16 08:25:14 $
**********************************************/

if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');

$ftkPluginHome = dirname(__FILE__);

require_once($ftkPluginHome.'/ftk.conf.php');

// Define AffiliateID
$thisplugin->fotokasten_affiliate_id = $fotokasten_affiliate_id;

// Add an install action
$thisplugin->add_action('plugin_install','ftk_install');

// Add uninstall action
 $thisplugin->add_action('plugin_uninstall','ftk_uninstall');

// Add a filter for the shopping_cart info
$thisplugin->add_filter('shopping_cart','ftk_shopping_cart');

$thisplugin->add_filter('plugin_block','ftk_block_mgr');


// Sample function to modify gallery header html
function ftk_shopping_cart($html) {
    global $thisplugin, $CONFIG, $CURRENT_PIC_DATA;

    //  start fotokasten shopping cart code
    $fotokasten = '';

    // get relevant image data
    $pic_thumb_url = $CONFIG['ecards_more_pic_target'] . get_pic_url($CURRENT_PIC_DATA,'thumb');
    $pic_url = $CONFIG['ecards_more_pic_target'] . get_pic_url($CURRENT_PIC_DATA,'fullsize');
    $pic_width = $CURRENT_PIC_DATA['pwidth'];
    $pic_height = $CURRENT_PIC_DATA['pheight'];
    	
    if ($CURRENT_PIC_DATA['mime'] == 'image/jpg' && $pic_width >= '600' && $pic_height >= '600') {
  	   	
      $fotokasten = '<script language="javascript" src="plugins/fotokasten/includes/fotokasten.js"></script>
        <table align=center><tr><td>
        <tr>
          <td class="button">
            <a href="javascript:fototransfer(\'' . $thisplugin->fotokasten_affiliate_id . '\', \'' . $pic_url . '\', \'' . $pic_thumb_url . '\', \'' . $pic_width . '\', \'' . $pic_height . '\')">&nbsp;In den Warenkorb&nbsp;</a>
          </td>
          <td class="button">
            <a href="javascript:open_fotobasket(\'' . $thisplugin->fotokasten_affiliate_id . '\')">&nbsp;Warenkorb &ouml;ffnen&nbsp;</a>
          </td>
        </tr>
        </table>';
    }
    //    end fotokasten shopping cart code
 
    
    return $fotokasten . $html;
}

function ftk_block_mgr($block) {
    return $block;
}


// Install function
function ftk_install() {
  return true;
}

// Uninstall function
function ftk_uninstall() {
  return true;
}

?>